local L = AceLibrary("AceLocale-3.0"):new("WJH")

WJH = LibStub("AceAddon-3.0"):NewAddon("WJH", "AceConsole-3.0")

local mainprof = {L["Alchemy"], L["Blacksmithing"], L["Enchanting"], L["Engineering"], L["Jewelcrafting"], L["Leatherworking"], L["Mining"], L["Tailoring"], L["Inscription"] }
local secprof = { L["Cooking"], L["First Aid"], L["Poisons"], L["Runeforging"] }
local gathering = { L["Fishing"], L["Herbalism"], L["Skinning"] }

local mainprof_user = {}
local mainprof_userskill = {}
local secprof_user = {}
local secprof_userskill = {}
local gathering_user = {}
local gathering_userskill = {}

local cookingSkill = 0



function WJH:OnInitialize()
	WJH:Print("WhatJustHappened loaded!")
	self.db = LibStub("AceDB-3.0"):New("WhatJustHappenedDB")
	WJH:Print("AceDB3")
end

function WJH:OnEnable()
	local weekday, month, day, year = CalendarGetDate()
	date = year * 10000 + month * 100 + day
	WJH:Print("Got date..")
	
	self.db.char.level = UnitLevel("player")
	self.db.char.money = GetMoney()
	WJH:Print("Got name & Money")
	
	local key, value
	local skillIndex
	local skillName, isHeader, skillRank

	mainprof_user = {}
	mainprof_userskill = {}
	secprof_user = {}
	secprof_userskill = {}
	gathering_user = {}
	gathering_userskill = {}
	
	-- Fill character profession arrays. 
	for skillIndex = 1, GetNumSkillLines() do
		skillName, isHeader, _, skillRank, _, _, _, _, _, _, _, _, _ = GetSkillLineInfo(skillIndex)
		if isHeader == nil then
			for key,value in pairs(mainprof) do  
				if value == skillName then
					if value == L["Mining"] then
						value = L["Smelting"]
					end
					table.insert(mainprof_user, value)
					table.insert(mainprof_userskill, skillRank)
				end
			end
			for key,value in pairs(secprof) do  
				if value == skillName then
					if value == L["Cooking"] then
						cookingSkill = skillRank
					end
					table.insert(secprof_user, value)
					table.insert(secprof_userskill, skillRank)
				end
			end
			for key,value in pairs(gathering) do
				if value == skillName then
					table.insert(gathering_user, value)
					table.insert(gathering_userskill, skillRank)
				end
			end
		end
	end
end